## python-ironicclient 4.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
appdirs>=1.3.0 # MIT License
cliff!=2.9.0,>=2.8.0 # Apache-2.0
dogpile.cache>=0.8.0 # BSD
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
openstacksdk>=0.18.0 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-ironicclient (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed min version of dogpile.cache.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:52:25 +0200

python-ironicclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 13:28:04 +0200

python-ironicclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:29:01 +0200

python-ironicclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:08:16 +0200

python-ironicclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 23:35:18 +0200

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-cliff (>= 2.14.1),
 python3-ddt,
 python3-dogpile.cache (>= 0.8.0),
 python3-fixtures,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.18.0),
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-appdirs,
 python3-cliff (>= 2.14.1),
 python3-dogpile.cache (>= 0.8.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstacksdk (>= 0.18.0),
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-ironicclient,
Replaces:
 python-ironicclient,
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

## python-ironicclient 4.4.1

=== debian/changelog ===
python-ironicclient (4.4.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 10:46:00 +0000

## python-ironicclient 4.6.1

=== debian/changelog ===
python-ironicclient (4.6.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 22:12:39 +0000

python-ironicclient (4.6.1-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 14:56:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ironicclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -11,38 +12,41 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-cliff (>= 2.14.1),
- python3-ddt,
+ python3-ddt (>= 1.0.1),
  python3-dogpile.cache (>= 0.8.0),
- python3-fixtures,
+ python3-fixtures (>= 3.0.0),
  python3-jsonschema (>= 3.2.0),
- python3-keystoneauth1,
- python3-openstackclient,
- python3-openstackdocstheme,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackclient (>= 3.12.0),
  python3-openstacksdk (>= 0.18.0),
- python3-osc-lib,
- python3-oslo.utils,
- python3-oslotest,
- python3-pygments,
- python3-requests,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-tempest,
- python3-testtools,
- python3-yaml,
+ python3-tempest (>= 1:17.1.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.13),
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient-doc
 Section: doc
@@ -70,19 +74,21 @@
 Package: python3-ironicclient
 Architecture: all
 Depends:
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-cliff (>= 2.14.1),
  python3-dogpile.cache (>= 0.8.0),
  python3-jsonschema (>= 3.2.0),
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient,
  python3-openstacksdk (>= 0.18.0),
- python3-osc-lib,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-stevedore,
- python3-yaml,
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

## python-ironicclient 4.6.4

=== debian/changelog ===
python-ironicclient (4.6.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:02:03 +0000

python-ironicclient (4.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Oct 2021 14:11:13 +0200

python-ironicclient (4.6.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 29 Aug 2021 14:11:41 +0200

python-ironicclient (4.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:03:53 +0200

python-ironicclient (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 12:49:56 +0100

python-ironicclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Breaks:+Replaces: python-ironicclient in advance of Bullseye
    release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:35:47 +0100

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-cliff,
 python3-ddt,
 python3-dogpile.cache,
 python3-fixtures,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-appdirs,
 python3-cliff,
 python3-dogpile.cache,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-ironicclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-ironicclient 4.8.0

=== debian/changelog ===
python-ironicclient (4.8.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:03:45 -0400

python-ironicclient (4.7.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 10:59:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,52 @@
 Source: python-ironicclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-appdirs,
- python3-cliff,
- python3-ddt,
- python3-dogpile.cache,
- python3-fixtures,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-openstackclient,
- python3-openstackdocstheme,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-oslotest,
- python3-requests,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-ddt (>= 1.0.1),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-fixtures (>= 3.0.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstacksdk (>= 0.18.0),
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-tempest,
- python3-testtools,
- python3-yaml,
+ python3-tempest (>= 1:17.1.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.13),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient-doc
 Section: doc
@@ -70,21 +74,27 @@
 Package: python3-ironicclient
 Architecture: all
 Depends:
- python3-appdirs,
- python3-cliff,
- python3-dogpile.cache,
- python3-jsonschema,
- python3-keystoneauth1,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-openstackclient,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-stevedore,
- python3-yaml,
+ python3-openstacksdk (>= 0.18.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python-ironicclient,
+Replaces:
+ python-ironicclient,
 Description: Client for OpenStack bare metal Service - Python 3.x
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

## python-ironicclient 4.8.2

=== debian/changelog ===
python-ironicclient (4.8.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 11:50:13 +0000

python-ironicclient (4.8.1-1) unstable; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Jan 2022 14:18:48 +0100

python-ironicclient (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:34:53 +0200

python-ironicclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 12:26:14 +0200

## python-ironicclient 4.11.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 dogpile.cache>=0.8.0 # BSD
 jsonschema>=3.2.0 # MIT
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=3.11.0 # Apache-2.0
 openstacksdk>=0.18.0 # Apache-2.0
 osc-lib>=2.0.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-ironicclient (4.11.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:14:06 -0500

python-ironicclient (4.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:18:27 -0500

python-ironicclient (4.9.0-0ubuntu2) jammy; urgency=medium

  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Nov 2021 08:02:43 -0500

python-ironicclient (4.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Nov 2021 17:39:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-ironicclient/python-ironicclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ironicclient 5.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-ironicclient (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:16:03 +0200

python-ironicclient (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:14:31 +0200

python-ironicclient (4.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:45:57 +0100

python-ironicclient (4.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:40:29 +0100

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-cliff,
 python3-ddt,
 python3-dogpile.cache,
 python3-fixtures,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-appdirs,
 python3-cliff,
 python3-dogpile.cache,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

## python-ironicclient 5.1.0

=== debian/changelog ===
python-ironicclient (5.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 14:47:38 +0000

python-ironicclient (5.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:50:47 -0500

python-ironicclient (5.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:58:54 -0400

## python-ironicclient 5.3.0

=== debian/changelog ===
python-ironicclient (5.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:54:04 -0400

python-ironicclient (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:56:15 -0400

## python-ironicclient 5.4.0

=== debian/changelog ===
python-ironicclient (5.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 15:53:39 +0000

python-ironicclient (5.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:50:48 -0400

## python-ironicclient 5.5.0

=== debian/changelog ===
python-ironicclient (5.5.0-0ubuntu2) noble; urgency=medium

  * d/p/appdirs-to-platformdirs.patch,d/control: Switch from appdirs to
    platformdirs which is active and maintained.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:01:15 +0000

python-ironicclient (5.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:10:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,51 @@
 Source: python-ironicclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-appdirs,
- python3-cliff,
- python3-ddt,
- python3-dogpile.cache,
- python3-fixtures,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-openstackclient,
- python3-openstackdocstheme,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-oslotest,
- python3-requests,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-ddt (>= 1.0.1),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-fixtures (>= 3.0.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstacksdk (>= 0.18.0),
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-tempest,
- python3-testtools,
- python3-yaml,
+ python3-tempest (>= 1:17.1.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.13),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Homepage: https://opendev.org/openstack/python-ironicclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient-doc
 Section: doc
@@ -69,21 +73,27 @@
 Package: python3-ironicclient
 Architecture: all
 Depends:
- python3-appdirs,
- python3-cliff,
- python3-dogpile.cache,
- python3-jsonschema,
- python3-keystoneauth1,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-openstackclient,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-stevedore,
- python3-yaml,
+ python3-openstacksdk (>= 0.18.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python-ironicclient,
+Replaces:
+ python-ironicclient,
 Description: Client for OpenStack bare metal Service - Python 3.x
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

## python-ironicclient 5.5.1

=== debian/changelog ===
python-ironicclient (5.5.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 11:02:00 +0000

python-ironicclient (5.5.0-3) unstable; urgency=medium

  * Add upstream patch to replace appdirs dependency with platformdirs
    (Closes: #1067995).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 10:02:02 +0200

python-ironicclient (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:19:17 +0200

python-ironicclient (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:31:36 +0100

python-ironicclient (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:54:10 +0200

python-ironicclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:07:05 +0200

python-ironicclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:23:27 +0200

python-ironicclient (5.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046841).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:51:02 +0200

python-ironicclient (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:11:19 +0200

python-ironicclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:05:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-ironicclient 5.8.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
platformdirs>=3 # MIT License
cliff>=2.8.0 # Apache-2.0
dogpile.cache>=0.8.0 # BSD
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.11.0 # Apache-2.0
openstacksdk>=0.18.0 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-ironicclient (5.8.0-3) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:24:05 +0100

python-ironicclient (5.8.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:07:07 +0200

python-ironicclient (5.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Replace_appdirs_by_platformdirs.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 13:51:58 +0200

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-ddt,
 python3-dogpile.cache,
 python3-fixtures,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslotest,
 python3-platformdirs,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-cliff,
 python3-dogpile.cache,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-platformdirs,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

## python-ironicclient 5.8.1

=== debian/changelog ===
python-ironicclient (5.8.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:10:20 +0000

## python-ironicclient 5.10.0

=== debian/changelog ===
python-ironicclient (5.10.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:28:45 +0000

python-ironicclient (5.8.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:29:50 +0100

python-ironicclient (5.7.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/p/*: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:17:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,50 @@
 Source: python-ironicclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cliff,
- python3-ddt,
- python3-dogpile.cache,
- python3-fixtures,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-openstackclient,
- python3-openstackdocstheme,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-oslotest,
- python3-platformdirs,
- python3-requests,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-ddt (>= 1.0.1),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-fixtures (>= 3.0.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstacksdk (>= 0.18.0),
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-tempest,
- python3-testtools,
- python3-yaml,
+ python3-tempest (>= 1:17.1.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.13),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironicclient
+Homepage: https://opendev.org/openstack/python-ironicclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient-doc
 Section: doc
@@ -69,21 +72,27 @@
 Package: python3-ironicclient
 Architecture: all
 Depends:
- python3-cliff,
- python3-dogpile.cache,
- python3-jsonschema,
- python3-keystoneauth1,
+ python3-appdirs (>= 1.3.0),
+ python3-cliff (>= 2.8.0),
+ python3-dogpile.cache (>= 0.8.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-openstackclient,
- python3-openstacksdk,
- python3-osc-lib,
- python3-oslo.utils,
- python3-pbr,
- python3-platformdirs,
- python3-requests,
- python3-stevedore,
- python3-yaml,
+ python3-openstacksdk (>= 0.18.0),
+ python3-osc-lib (>= 2.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python-ironicclient,
+Replaces:
+ python-ironicclient,
 Description: Client for OpenStack bare metal Service - Python 3.x
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

## python-ironicclient 5.10.1

=== debian/changelog ===
python-ironicclient (5.10.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Fix-bare-metal-info-order-in-unit-tests.patch applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 10:56:44 +0000

python-ironicclient (5.10.0-5) unstable; urgency=medium

  * Re-upload with (b-)depends python3-cliff >= 4.9.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2025 08:47:21 +0200

python-ironicclient (5.10.0-4) unstable; urgency=medium

  * Use better upstream patch: Fix-bare-metal-info-order-in-unit-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 10:09:12 +0200

python-ironicclient (5.10.0-3) unstable; urgency=medium

  * Neutralize tests broken with Cliff 4.9.1 (Closes: #1101864).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 09:30:51 +0200

python-ironicclient (5.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:56:44 +0100

python-ironicclient (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of (build-)depends on pbr.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:14:35 +0100

## python-ironicclient 5.12.0

=== debian/changelog ===
python-ironicclient (5.12.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.
  * d/watch: Change tarball source from pypi to opendev.
  * d/watch: Add verification of Flamingo key.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 14 Jul 2025 15:27:26 -0700
